package de.tu_dresden.diplom.richter_mirko_mat2628335.witness.dependency;

import de.tu_dresden.diplom.richter_mirko_mat2628335.common.dependency.IFSOAPDependencyStatement;
import de.tu_dresden.diplom.richter_mirko_mat2628335.common.dependency.IFSOAPDependency;

/**
 * 
 */
public interface IFDependencyChain {

   public boolean containsDependencyStatement(IFSOAPDependencyStatement statement);

   public void addDependency(IFSOAPDependency soapDependency, String newReference);

   public IFDependency getRootDependency();
}
